Mosqlimate API 1¶
Welcome to Mosqlimate API Reference
In API Demo, you can test the API calls to Mosqlimate's Platform. Note that the POST calls won't save any result in the database.
See API Overview to more detailed information about the endpoints.
See Authorization to check how to authenticate using your Api Key.
registry¶
GET /api/registry/models/{owner}/{repository}/¶
Get Model
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
UidKeyAuth |
header | string | N/A | No | API key |
owner |
path | string | No | ||
repository |
path | string | No |
Response 200 OK
{
"id": 0,
"repository": "string",
"description": null,
"disease": "string",
"category": "string",
"adm_level": 0,
"time_resolution": "string",
"sprint": null,
"predictions_count": 0,
"active": true,
"created_at": "2022-04-13",
"last_update": "2022-04-13"
}
Schema of the response body
{
"properties": {
"id": {
"title": "Id",
"type": "integer"
},
"repository": {
"title": "Repository",
"type": "string"
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"default": "",
"title": "Description"
},
"disease": {
"title": "Disease",
"type": "string"
},
"category": {
"title": "Category",
"type": "string"
},
"adm_level": {
"title": "Adm Level",
"type": "integer"
},
"time_resolution": {
"title": "Time Resolution",
"type": "string"
},
"sprint": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Sprint"
},
"predictions_count": {
"title": "Predictions Count",
"type": "integer"
},
"active": {
"title": "Active",
"type": "boolean"
},
"created_at": {
"format": "date",
"title": "Created At",
"type": "string"
},
"last_update": {
"format": "date",
"title": "Last Update",
"type": "string"
}
},
"required": [
"id",
"repository",
"disease",
"category",
"adm_level",
"time_resolution",
"predictions_count",
"active",
"created_at",
"last_update"
],
"title": "Model",
"type": "object"
}
Response 404 Not Found
GET /api/registry/models/¶
List Models
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
UidKeyAuth |
header | string | N/A | No | API key |
adm_level |
query | None | No | ||
category |
query | None | No | ||
disease |
query | None | No | ||
id |
query | None | No | ||
page |
query | integer | 1 | No | |
per_page |
query | integer | 300 | No | |
repository_name |
query | None | No | ||
repository_organization |
query | None | No | ||
repository_owner |
query | None | No | ||
sprint |
query | None | No | ||
time_resolution |
query | None | No |
Response 200 OK
{
"items": [
{
"id": 0,
"repository": "string",
"description": null,
"disease": "string",
"category": "string",
"adm_level": 0,
"time_resolution": "string",
"sprint": null,
"predictions_count": 0,
"active": true,
"created_at": "2022-04-13",
"last_update": "2022-04-13"
}
],
"pagination": null,
"message": null,
"error": null
}
Schema of the response body
{
"properties": {
"items": {
"items": {
"$ref": "#/components/schemas/Model"
},
"title": "Items",
"type": "array"
},
"pagination": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Pagination"
},
"message": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Message"
},
"error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Error"
}
},
"required": [
"items"
],
"title": "PagedModel",
"type": "object"
}
GET /api/registry/predictions/¶
List Predictions
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
UidKeyAuth |
header | string | N/A | No | API key |
end |
query | None | No | ||
id |
query | None | No | ||
model_adm_level |
query | None | No | ||
model_category |
query | None | No | ||
model_disease |
query | None | No | ||
model_id |
query | None | No | ||
model_name |
query | None | No | ||
model_organization |
query | None | No | ||
model_owner |
query | None | No | ||
model_sprint |
query | None | No | ||
model_time_resolution |
query | None | No | ||
page |
query | integer | 1 | No | |
per_page |
query | integer | 300 | No | |
start |
query | None | No |
Response 200 OK
{
"items": [
{
"id": 0,
"model": {
"id": 0,
"repository": "string",
"description": null,
"disease": "string",
"category": "string",
"adm_level": 0,
"time_resolution": "string",
"sprint": null,
"predictions_count": 0,
"active": true,
"created_at": "2022-04-13",
"last_update": "2022-04-13"
},
"commit": "string",
"description": null,
"start": null,
"end": null,
"scores": {},
"case_definition": "string",
"published": true,
"created_at": "2022-04-13T15:42:05.901Z",
"adm_0": null,
"adm_1": null,
"adm_2": null,
"adm_3": null
}
],
"pagination": null,
"message": null,
"error": null
}
Schema of the response body
{
"properties": {
"items": {
"items": {
"$ref": "#/components/schemas/Prediction"
},
"title": "Items",
"type": "array"
},
"pagination": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Pagination"
},
"message": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Message"
},
"error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Error"
}
},
"required": [
"items"
],
"title": "PagedPrediction",
"type": "object"
}
POST /api/registry/predictions/¶
Create Prediction
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
UidKeyAuth |
header | string | N/A | No | API key |
Request body
{
"repository": "string",
"description": "string",
"commit": "string",
"case_definition": "reported",
"published": true,
"adm_0": "string",
"adm_1": null,
"adm_2": null,
"adm_3": null,
"prediction": [
{
"date": "2022-04-13",
"pred": 10.12,
"lower_95": 10.12,
"lower_90": 10.12,
"lower_80": 10.12,
"lower_50": 10.12,
"upper_50": 10.12,
"upper_80": 10.12,
"upper_90": 10.12,
"upper_95": 10.12
}
]
}
Schema of the request body
{
"properties": {
"repository": {
"description": "The full repository name in 'owner/name' format.",
"examples": "owner/repository-name",
"title": "Repository",
"type": "string"
},
"description": {
"default": "",
"description": "A brief description of this specific prediction.",
"title": "Description",
"type": "string"
},
"commit": {
"description": "The full 40-character commit hash",
"examples": "8843d7f92416211de9ebb963ff4ce28125932878",
"pattern": "^[0-9a-fA-F]{40}$",
"title": "Commit",
"type": "string"
},
"case_definition": {
"default": "probable",
"description": "The case definition used for the prediction data.",
"enum": [
"reported",
"probable"
],
"title": "Case Definition",
"type": "string"
},
"published": {
"default": true,
"description": "Whether this prediction is visible to the public.",
"title": "Published",
"type": "boolean"
},
"adm_0": {
"default": "BRA",
"description": "Country ISO code",
"examples": "BRA",
"title": "Adm 0",
"type": "string"
},
"adm_1": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"description": "State geocode",
"examples": "33",
"title": "Adm 1"
},
"adm_2": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"description": "Municipality geocode",
"examples": "3304557",
"title": "Adm 2"
},
"adm_3": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"description": "Sub-municipality geocode",
"title": "Adm 3"
},
"prediction": {
"items": {
"$ref": "#/components/schemas/PredictionDataRowSchema"
},
"title": "Prediction",
"type": "array"
}
},
"required": [
"repository",
"commit",
"prediction"
],
"title": "PredictionIn",
"type": "object"
}
Response 201 Created
Response 403 Forbidden
Response 404 Not Found
Response 422 Unprocessable Entity
Response 500 Internal Server Error
GET /api/registry/predictions/{id}/¶
Get Prediction
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
UidKeyAuth |
header | string | N/A | No | API key |
id |
path | integer | No |
Response 200 OK
{
"id": 0,
"model": {
"id": 0,
"repository": "string",
"description": null,
"disease": "string",
"category": "string",
"adm_level": 0,
"time_resolution": "string",
"sprint": null,
"predictions_count": 0,
"active": true,
"created_at": "2022-04-13",
"last_update": "2022-04-13"
},
"commit": "string",
"description": null,
"start": null,
"end": null,
"scores": {},
"case_definition": "string",
"published": true,
"created_at": "2022-04-13T15:42:05.901Z",
"adm_0": null,
"adm_1": null,
"adm_2": null,
"adm_3": null,
"data": [
{
"date": "2022-04-13",
"lower_95": null,
"lower_90": 10.12,
"lower_80": null,
"lower_50": null,
"pred": 10.12,
"upper_50": null,
"upper_80": null,
"upper_90": 10.12,
"upper_95": null
}
]
}
Schema of the response body
{
"properties": {
"id": {
"title": "Id",
"type": "integer"
},
"model": {
"$ref": "#/components/schemas/Model"
},
"commit": {
"title": "Commit",
"type": "string"
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"default": "",
"title": "Description"
},
"start": {
"anyOf": [
{
"format": "date",
"type": "string"
},
{
"type": "null"
}
],
"title": "Start"
},
"end": {
"anyOf": [
{
"format": "date",
"type": "string"
},
{
"type": "null"
}
],
"title": "End"
},
"scores": {
"additionalProperties": true,
"title": "Scores",
"type": "object"
},
"case_definition": {
"title": "Case Definition",
"type": "string"
},
"published": {
"title": "Published",
"type": "boolean"
},
"created_at": {
"format": "date-time",
"title": "Created At",
"type": "string"
},
"adm_0": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Adm 0"
},
"adm_1": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Adm 1"
},
"adm_2": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Adm 2"
},
"adm_3": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Adm 3"
},
"data": {
"items": {
"$ref": "#/components/schemas/PredictionData"
},
"title": "Data",
"type": "array"
}
},
"required": [
"id",
"model",
"commit",
"scores",
"case_definition",
"published",
"created_at",
"adm_0",
"data"
],
"title": "PredictionDetail",
"type": "object"
}
Response 404 Not Found
DELETE /api/registry/predictions/{id}/¶
Delete Prediction
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
UidKeyAuth |
header | string | N/A | No | API key |
id |
path | integer | No |
Response 200 OK
Response 403 Forbidden
Response 404 Not Found
GET /api/registry/predictions/{id}/data/¶
Get Prediction Data
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
UidKeyAuth |
header | string | N/A | No | API key |
id |
path | integer | No |
Response 200 OK
[
{
"date": "2022-04-13",
"lower_95": null,
"lower_90": 10.12,
"lower_80": null,
"lower_50": null,
"pred": 10.12,
"upper_50": null,
"upper_80": null,
"upper_90": 10.12,
"upper_95": null
}
]
Response 404 Not Found
datastore¶
GET /api/datastore/infodengue/¶
Get Infodengue
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
UidKeyAuth |
header | string | N/A | No | API key |
disease |
query | string | No | ||
end |
query | string | 2024-02-01 | No | |
geocode |
query | None | No | ||
page |
query | integer | 1 | No | |
per_page |
query | integer | 300 | No | |
start |
query | string | 2024-01-01 | No | |
uf |
query | None | No |
Response 200 OK
{
"items": [
{
"data_iniSE": "2022-04-13",
"SE": null,
"casos_est": null,
"casos_est_min": null,
"casos_est_max": null,
"casos": null,
"municipio_geocodigo": null,
"p_rt1": null,
"p_inc100k": null,
"Localidade_id": null,
"nivel": null,
"id": null,
"versao_modelo": null,
"Rt": null,
"municipio_nome": null,
"pop": null,
"tempmin": null,
"umidmax": null,
"receptivo": null,
"transmissao": null,
"nivel_inc": null,
"umidmed": null,
"umidmin": null,
"tempmed": null,
"tempmax": null,
"casprov": null,
"casprov_est": null,
"casprov_est_min": null,
"casprov_est_max": null,
"casconf": null
}
],
"pagination": null,
"message": null,
"error": null
}
Schema of the response body
{
"properties": {
"items": {
"items": {
"$ref": "#/components/schemas/HistoricoAlertaSchema"
},
"title": "Items",
"type": "array"
},
"pagination": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Pagination"
},
"message": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Message"
},
"error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Error"
}
},
"required": [
"items"
],
"title": "PagedHistoricoAlertaSchema",
"type": "object"
}
Response 404 Not Found
Response 500 Internal Server Error
GET /api/datastore/climate/¶
Get Copernicus Brasil
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
UidKeyAuth |
header | string | N/A | No | API key |
end |
query | string | 2024-02-01 | No | |
geocode |
query | None | No | ||
page |
query | integer | 1 | No | |
per_page |
query | integer | 300 | No | |
start |
query | string | 2024-01-01 | No | |
uf |
query | None | No |
Response 200 OK
{
"items": [
{
"date": "2022-04-13",
"geocodigo": 0,
"epiweek": 0,
"temp_min": 10.12,
"temp_med": 10.12,
"temp_max": 10.12,
"precip_min": 10.12,
"precip_med": 10.12,
"precip_max": 10.12,
"precip_tot": 10.12,
"pressao_min": 10.12,
"pressao_med": 10.12,
"pressao_max": 10.12,
"umid_min": 10.12,
"umid_med": 10.12,
"umid_max": 10.12
}
],
"pagination": null,
"message": null,
"error": null
}
Schema of the response body
{
"properties": {
"items": {
"items": {
"$ref": "#/components/schemas/CopernicusBrasilSchema"
},
"title": "Items",
"type": "array"
},
"pagination": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Pagination"
},
"message": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Message"
},
"error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Error"
}
},
"required": [
"items"
],
"title": "PagedCopernicusBrasilSchema",
"type": "object"
}
Response 404 Not Found
Response 500 Internal Server Error
GET /api/datastore/climate/weekly/¶
Get Copernicus Brasil Weekly
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
UidKeyAuth |
header | string | N/A | No | API key |
end |
query | integer | 202402 | No | |
geocode |
query | None | No | ||
macro_health_code |
query | None | No | ||
page |
query | integer | 1 | No | |
per_page |
query | integer | 300 | No | |
start |
query | integer | 202401 | No | |
uf |
query | None | No |
Response 200 OK
{
"items": [
{
"epiweek": 0,
"geocodigo": 0,
"temp_min_avg": 10.12,
"temp_med_avg": 10.12,
"temp_max_avg": 10.12,
"temp_amplit_avg": 10.12,
"precip_tot_sum": 10.12,
"umid_min_avg": 10.12,
"umid_med_avg": 10.12,
"umid_max_avg": 10.12
}
],
"pagination": null,
"message": null,
"error": null
}
Schema of the response body
{
"properties": {
"items": {
"items": {
"$ref": "#/components/schemas/CopernicusBrasilWeeklySchema"
},
"title": "Items",
"type": "array"
},
"pagination": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Pagination"
},
"message": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Message"
},
"error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Error"
}
},
"required": [
"items"
],
"title": "PagedCopernicusBrasilWeeklySchema",
"type": "object"
}
Response 400 Bad Request
Response 404 Not Found
Response 500 Internal Server Error
GET /api/datastore/mosquito/¶
Get Contaovos
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
UidKeyAuth |
header | string | N/A | No | API key |
date_end |
query | string | 2025-01-30 | No | |
date_start |
query | string | 2025-01-01 | No | |
municipality |
query | None | No | ||
page |
query | None | 1 | No | |
state |
query | None | MG | No |
Response 200 OK
[
{
"counting_id": 0,
"date": "string",
"date_collect": null,
"eggs": 0,
"latitude": 10.12,
"longitude": 10.12,
"municipality": "string",
"municipality_code": "string",
"ovitrap_id": "string",
"ovitrap_website_id": 0,
"state_code": "string",
"state_name": "string",
"time": "string",
"week": 0,
"year": 0
}
]
Response 404 Not Found
Response 500 Internal Server Error
GET /api/datastore/episcanner/¶
Get Episcanner
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
UidKeyAuth |
header | string | N/A | No | API key |
disease |
query | string | No | ||
uf |
query | string | No | ||
year |
query | integer | 2026 | No |
Response 200 OK
[
{
"disease": "string",
"CID10": "string",
"year": 0,
"geocode": 0,
"muni_name": "string",
"peak_week": 10.12,
"beta": 10.12,
"gamma": 10.12,
"R0": 10.12,
"total_cases": 10.12,
"alpha": 10.12,
"sum_res": 10.12,
"ep_ini": "string",
"ep_end": "string",
"ep_dur": 0
}
]
Response 404 Not Found
Response 500 Internal Server Error
Schemas¶
BadRequestSchema¶
| Name | Type |
|---|---|
message |
string |
ContaOvosParams¶
| Name | Type |
|---|---|
date_end |
string(date) |
date_start |
string(date) |
page |
|
state |
ContaOvosSchema¶
| Name | Type |
|---|---|
counting_id |
integer |
date |
string |
date_collect |
|
eggs |
integer |
latitude |
number |
longitude |
number |
municipality |
string |
municipality_code |
string |
ovitrap_id |
string |
ovitrap_website_id |
integer |
state_code |
string |
state_name |
string |
time |
string |
week |
integer |
year |
integer |
CopernicusBrasilFilterSchema¶
| Name | Type |
|---|---|
end |
string(date) |
geocode |
|
start |
string(date) |
CopernicusBrasilSchema¶
| Name | Type |
|---|---|
date |
string(date) |
epiweek |
integer |
geocodigo |
integer |
precip_max |
number |
precip_med |
number |
precip_min |
number |
precip_tot |
number |
pressao_max |
number |
pressao_med |
number |
pressao_min |
number |
temp_max |
number |
temp_med |
number |
temp_min |
number |
umid_max |
number |
umid_med |
number |
umid_min |
number |
CopernicusBrasilWeeklyFilterSchema¶
| Name | Type |
|---|---|
end |
integer |
start |
integer |
CopernicusBrasilWeeklyParams¶
| Name | Type |
|---|---|
geocode |
|
macro_health_code |
|
uf |
CopernicusBrasilWeeklySchema¶
| Name | Type |
|---|---|
epiweek |
integer |
geocodigo |
integer |
precip_tot_sum |
number |
temp_amplit_avg |
number |
temp_max_avg |
number |
temp_med_avg |
number |
temp_min_avg |
number |
umid_max_avg |
number |
umid_med_avg |
number |
umid_min_avg |
number |
CreatePredictionOut¶
| Name | Type |
|---|---|
id |
integer |
EpiScannerSchema¶
| Name | Type |
|---|---|
alpha |
number |
beta |
number |
CID10 |
string |
disease |
string |
ep_dur |
integer |
ep_end |
string |
ep_ini |
string |
gamma |
number |
geocode |
integer |
muni_name |
string |
peak_week |
number |
R0 |
number |
sum_res |
number |
total_cases |
number |
year |
integer |
ForbiddenSchema¶
| Name | Type |
|---|---|
message |
string |
HistoricoAlertaFilterSchema¶
| Name | Type |
|---|---|
end |
string(date) |
geocode |
|
start |
string(date) |
HistoricoAlertaSchema¶
| Name | Type |
|---|---|
casconf |
|
casos |
|
casos_est |
|
casos_est_max |
|
casos_est_min |
|
casprov |
|
casprov_est |
|
casprov_est_max |
|
casprov_est_min |
|
data_iniSE |
string(date) |
id |
|
Localidade_id |
|
municipio_geocodigo |
|
municipio_nome |
|
nivel |
|
nivel_inc |
|
p_inc100k |
|
p_rt1 |
|
pop |
|
receptivo |
|
Rt |
|
SE |
|
tempmax |
|
tempmed |
|
tempmin |
|
transmissao |
|
umidmax |
|
umidmed |
|
umidmin |
|
versao_modelo |
Input¶
| Name | Type |
|---|---|
page |
integer |
per_page |
integer |
InternalErrorSchema¶
| Name | Type |
|---|---|
message |
string |
Model¶
| Name | Type |
|---|---|
active |
boolean |
adm_level |
integer |
category |
string |
created_at |
string(date) |
description |
|
disease |
string |
id |
integer |
last_update |
string(date) |
predictions_count |
integer |
repository |
string |
sprint |
|
time_resolution |
string |
ModelFilterSchema¶
| Name | Type |
|---|---|
adm_level |
|
category |
|
disease |
|
id |
|
repository_name |
|
repository_organization |
|
repository_owner |
|
sprint |
|
time_resolution |
NotFoundSchema¶
| Name | Type |
|---|---|
message |
string |
PagedCopernicusBrasilSchema¶
| Name | Type |
|---|---|
error |
|
items |
Array<CopernicusBrasilSchema> |
message |
|
pagination |
PagedCopernicusBrasilWeeklySchema¶
| Name | Type |
|---|---|
error |
|
items |
Array<CopernicusBrasilWeeklySchema> |
message |
|
pagination |
PagedHistoricoAlertaSchema¶
| Name | Type |
|---|---|
error |
|
items |
Array<HistoricoAlertaSchema> |
message |
|
pagination |
PagedModel¶
| Name | Type |
|---|---|
error |
|
items |
Array<Model> |
message |
|
pagination |
PagedPrediction¶
| Name | Type |
|---|---|
error |
|
items |
Array<Prediction> |
message |
|
pagination |
Prediction¶
| Name | Type |
|---|---|
adm_0 |
|
adm_1 |
|
adm_2 |
|
adm_3 |
|
case_definition |
string |
commit |
string |
created_at |
string(date-time) |
description |
|
end |
|
id |
integer |
model |
Model |
published |
boolean |
scores |
|
start |
PredictionData¶
| Name | Type |
|---|---|
date |
string(date) |
lower_50 |
|
lower_80 |
|
lower_90 |
number |
lower_95 |
|
pred |
number |
upper_50 |
|
upper_80 |
|
upper_90 |
number |
upper_95 |
PredictionDataRowSchema¶
| Name | Type |
|---|---|
date |
string(date) |
lower_50 |
number |
lower_80 |
number |
lower_90 |
number |
lower_95 |
number |
pred |
number |
upper_50 |
number |
upper_80 |
number |
upper_90 |
number |
upper_95 |
number |
PredictionDetail¶
| Name | Type |
|---|---|
adm_0 |
|
adm_1 |
|
adm_2 |
|
adm_3 |
|
case_definition |
string |
commit |
string |
created_at |
string(date-time) |
data |
Array<PredictionData> |
description |
|
end |
|
id |
integer |
model |
Model |
published |
boolean |
scores |
|
start |
PredictionFilterSchema¶
| Name | Type |
|---|---|
end |
|
id |
|
model_adm_level |
|
model_category |
|
model_disease |
|
model_id |
|
model_name |
|
model_organization |
|
model_owner |
|
model_sprint |
|
model_time_resolution |
|
start |
PredictionIn¶
| Name | Type |
|---|---|
adm_0 |
string |
adm_1 |
|
adm_2 |
|
adm_3 |
|
case_definition |
string |
commit |
string |
description |
string |
prediction |
Array<PredictionDataRowSchema> |
published |
boolean |
repository |
string |
UnprocessableContentSchema¶
| Name | Type |
|---|---|
message |
string |
Security schemes¶
| Name | Type | Scheme | Description |
|---|---|---|---|
| UidKeyAuth | apiKey |